GNU bug report logs - #24076
gnupg [-agent]: when signing [commits], it claims that there is no pinentry - but there is

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Danny Milosavljevic <dannym@HIDDEN>; merged with #36784, #37266; Done: Leo Famulari <leo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 30 Mar 2020 17:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 13:30:08 2020
Received: from localhost ([127.0.0.1]:34974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIyEi-0004OS-7m
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:08 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:55777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jIyEg-0004MX-Ou
 for 24076-done <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:07 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 9A8425C0316;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 30 Mar 2020 13:30:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZzN8=; b=ZV4479Qtegr6
 W9LiuS+g9wXLrQFwULgdIWYqRzRWsZxRUWbZMwZxdaT5UwVtbXQzUk8hOI7ujJFu
 53d9KlTKKNOxiq9N05oG8kwdSl3456mLDR1BxdZ+GSFcNFo7lFrHwywAEDeSOaWJ
 DttZJKDIkKJDK4nrT+hm4eSEHMT3y3w=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZz
 N8=; b=Basp8aPTpT+01UQI1WGANEeFTh7YJr3adaVjcfdJCJ+7KidlQfScP9HQt
 4KBV1HilDQRYInpgq9pVr/nMGBncXi8z2cLNVna85Sjv84eCwULkZIdSmy2GrLZj
 PQ17MoMNA6pxp0v0hn89i6dz6604A4clIXfaWvn+1UnoXnsRhLwqas2qj92NBZqF
 3Fqis2nY0uhUy9M86fKQxm9ZgK9H+/nquRydOLia6ZJyz7ckFbAygmww+puiwRyo
 KrxsneyhFP6FAClr2mu8PYXQBNKVDmUSJtp4cu6hALU8+R2HL+k58K8KvyR0vLo9
 7Kxf1YcgYiqG9z6wIeoX6tLKzw0NQ==
X-ME-Sender: <xms:mSyCXqIU0OFMmP83Dc0Oykq_PjvRdEh3S5luR4zv6jRFp3cbCuGhDw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeihedguddufecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvgho
 ucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfkphepje
 eirdduvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhep
 mhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:mSyCXmZKnzr1ZzBVBznn6CNQyliTPtVv14KSQEJrmV5o9mdEpa8ELg>
 <xmx:mSyCXls-Xd7px7NACRb68yscq_-NnODUi-0q4zNaUuqEd7mpPczNRA>
 <xmx:mSyCXjtYnOgz5l_2tD2N5O1MxjFQXExv6wyQ57OFZmQHiLP_V5Lj1g>
 <xmx:mSyCXrVkstOZH2FqMtpxtPx6jFNzuLHaQYwNIjJ4eyuS7B3o8b2Egw>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2DACF3280067;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Date: Sun, 29 Mar 2020 15:27:46 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#24076: [PATCH] gnu: GnuPG: Really use
 ~/.guix-profile/bin/pinentry by default.
Message-ID: <20200329192746.GA16678@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN>
 <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
 <87ftdryzs2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87ftdryzs2.fsf@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, Mar 29, 2020 at 04:57:33PM +0200, Ludovic Courtès wrote:
> Here I’d add:
> 
>   if (dir == NULL)
>     {
>        struct password *pw;
>        pw = getpwuid (getuid ());
>        if (pw != NULL)
>          dir = pw->pw_dir;
>        else
>          dir = "/";
>     }
> 
> Otherwise LGTM!

Thanks, good idea! Pushed as e5b44b06b3fb19c897fb3e430bd41941905e101f




Notification sent to jon@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 30 Mar 2020 17:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 13:30:08 2020
Received: from localhost ([127.0.0.1]:34974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIyEi-0004OS-7m
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:08 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:55777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jIyEg-0004MX-Ou
 for 24076-done <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:07 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 9A8425C0316;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 30 Mar 2020 13:30:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZzN8=; b=ZV4479Qtegr6
 W9LiuS+g9wXLrQFwULgdIWYqRzRWsZxRUWbZMwZxdaT5UwVtbXQzUk8hOI7ujJFu
 53d9KlTKKNOxiq9N05oG8kwdSl3456mLDR1BxdZ+GSFcNFo7lFrHwywAEDeSOaWJ
 DttZJKDIkKJDK4nrT+hm4eSEHMT3y3w=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZz
 N8=; b=Basp8aPTpT+01UQI1WGANEeFTh7YJr3adaVjcfdJCJ+7KidlQfScP9HQt
 4KBV1HilDQRYInpgq9pVr/nMGBncXi8z2cLNVna85Sjv84eCwULkZIdSmy2GrLZj
 PQ17MoMNA6pxp0v0hn89i6dz6604A4clIXfaWvn+1UnoXnsRhLwqas2qj92NBZqF
 3Fqis2nY0uhUy9M86fKQxm9ZgK9H+/nquRydOLia6ZJyz7ckFbAygmww+puiwRyo
 KrxsneyhFP6FAClr2mu8PYXQBNKVDmUSJtp4cu6hALU8+R2HL+k58K8KvyR0vLo9
 7Kxf1YcgYiqG9z6wIeoX6tLKzw0NQ==
X-ME-Sender: <xms:mSyCXqIU0OFMmP83Dc0Oykq_PjvRdEh3S5luR4zv6jRFp3cbCuGhDw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeihedguddufecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvgho
 ucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfkphepje
 eirdduvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhep
 mhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:mSyCXmZKnzr1ZzBVBznn6CNQyliTPtVv14KSQEJrmV5o9mdEpa8ELg>
 <xmx:mSyCXls-Xd7px7NACRb68yscq_-NnODUi-0q4zNaUuqEd7mpPczNRA>
 <xmx:mSyCXjtYnOgz5l_2tD2N5O1MxjFQXExv6wyQ57OFZmQHiLP_V5Lj1g>
 <xmx:mSyCXrVkstOZH2FqMtpxtPx6jFNzuLHaQYwNIjJ4eyuS7B3o8b2Egw>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2DACF3280067;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Date: Sun, 29 Mar 2020 15:27:46 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#24076: [PATCH] gnu: GnuPG: Really use
 ~/.guix-profile/bin/pinentry by default.
Message-ID: <20200329192746.GA16678@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN>
 <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
 <87ftdryzs2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87ftdryzs2.fsf@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, Mar 29, 2020 at 04:57:33PM +0200, Ludovic Courtès wrote:
> Here I’d add:
> 
>   if (dir == NULL)
>     {
>        struct password *pw;
>        pw = getpwuid (getuid ());
>        if (pw != NULL)
>          dir = pw->pw_dir;
>        else
>          dir = "/";
>     }
> 
> Otherwise LGTM!

Thanks, good idea! Pushed as e5b44b06b3fb19c897fb3e430bd41941905e101f




Notification sent to Raghav Gururajan <raghavgururajan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 30 Mar 2020 17:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 13:30:08 2020
Received: from localhost ([127.0.0.1]:34974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIyEi-0004OS-7m
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:08 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:55777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jIyEg-0004MX-Ou
 for 24076-done <at> debbugs.gnu.org; Mon, 30 Mar 2020 13:30:07 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 9A8425C0316;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 30 Mar 2020 13:30:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZzN8=; b=ZV4479Qtegr6
 W9LiuS+g9wXLrQFwULgdIWYqRzRWsZxRUWbZMwZxdaT5UwVtbXQzUk8hOI7ujJFu
 53d9KlTKKNOxiq9N05oG8kwdSl3456mLDR1BxdZ+GSFcNFo7lFrHwywAEDeSOaWJ
 DttZJKDIkKJDK4nrT+hm4eSEHMT3y3w=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=tNigYTrgP8/C2/LLtQtYwZxB+FF06wGpM/5ejJjZz
 N8=; b=Basp8aPTpT+01UQI1WGANEeFTh7YJr3adaVjcfdJCJ+7KidlQfScP9HQt
 4KBV1HilDQRYInpgq9pVr/nMGBncXi8z2cLNVna85Sjv84eCwULkZIdSmy2GrLZj
 PQ17MoMNA6pxp0v0hn89i6dz6604A4clIXfaWvn+1UnoXnsRhLwqas2qj92NBZqF
 3Fqis2nY0uhUy9M86fKQxm9ZgK9H+/nquRydOLia6ZJyz7ckFbAygmww+puiwRyo
 KrxsneyhFP6FAClr2mu8PYXQBNKVDmUSJtp4cu6hALU8+R2HL+k58K8KvyR0vLo9
 7Kxf1YcgYiqG9z6wIeoX6tLKzw0NQ==
X-ME-Sender: <xms:mSyCXqIU0OFMmP83Dc0Oykq_PjvRdEh3S5luR4zv6jRFp3cbCuGhDw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeihedguddufecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvgho
 ucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfkphepje
 eirdduvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhep
 mhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:mSyCXmZKnzr1ZzBVBznn6CNQyliTPtVv14KSQEJrmV5o9mdEpa8ELg>
 <xmx:mSyCXls-Xd7px7NACRb68yscq_-NnODUi-0q4zNaUuqEd7mpPczNRA>
 <xmx:mSyCXjtYnOgz5l_2tD2N5O1MxjFQXExv6wyQ57OFZmQHiLP_V5Lj1g>
 <xmx:mSyCXrVkstOZH2FqMtpxtPx6jFNzuLHaQYwNIjJ4eyuS7B3o8b2Egw>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2DACF3280067;
 Mon, 30 Mar 2020 13:30:01 -0400 (EDT)
Date: Sun, 29 Mar 2020 15:27:46 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#24076: [PATCH] gnu: GnuPG: Really use
 ~/.guix-profile/bin/pinentry by default.
Message-ID: <20200329192746.GA16678@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN>
 <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
 <87ftdryzs2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87ftdryzs2.fsf@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, Mar 29, 2020 at 04:57:33PM +0200, Ludovic Courtès wrote:
> Here I’d add:
> 
>   if (dir == NULL)
>     {
>        struct password *pw;
>        pw = getpwuid (getuid ());
>        if (pw != NULL)
>          dir = pw->pw_dir;
>        else
>          dir = "/";
>     }
> 
> Otherwise LGTM!

Thanks, good idea! Pushed as e5b44b06b3fb19c897fb3e430bd41941905e101f




Notification sent to Danny Milosavljevic <dannym@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From ludo@HIDDEN Sun Mar 29 10:57:41 2020
Received: from eggs.gnu.org ([209.51.188.92]:50586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jIZNd-0004An-Je
 for 24076 <at> debbugs.gnu.org; Sun, 29 Mar 2020 10:57:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52214)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jIZNY-0006tY-BT; Sun, 29 Mar 2020 10:57:36 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49800 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jIZNX-00053e-FU; Sun, 29 Mar 2020 10:57:35 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Cc: 24076 <at> debbugs.gnu.org
Subject: Re: bug#24076: [PATCH] gnu: GnuPG: Really use
 ~/.guix-profile/bin/pinentry by default.
References: <20160726180507.21e5e8e0@HIDDEN>
 <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 10 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 29 Mar 2020 16:57:33 +0200
In-Reply-To: <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
 (Leo Famulari's message of "Fri, 27 Mar 2020 18:48:01 -0400")
Message-ID: <87ftdryzs2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 14:57:42 -0000

Hi Leo!

Leo Famulari <leo@HIDDEN> skribis:

> This is a followup to commit c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.
>
> This patch does as expected for me! But it's been some years since I
> wrote C code, so I copy existing functions and fought through compiler
> errors to write this =E2=80=94 please give a close review.
>
> * gnu/packages/patches/gnupg-default-pinentry.patch: Use $HOME to find
> the user's Guix profile and installed pinentry.

Thanks for fixing it, and apologies for the mistake!

> ++/* Return the user's home directory */
> ++const char *
> ++user_homedir (void)
> ++{
> ++  const char *dir;
> ++  dir =3D getenv("HOME");

Here I=E2=80=99d add:

  if (dir =3D=3D NULL)
    {
       struct password *pw;
       pw =3D getpwuid (getuid ());
       if (pw !=3D NULL)
         dir =3D pw->pw_dir;
       else
         dir =3D "/";
    }

Otherwise LGTM!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 27 Mar 2020 22:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 18:48:26 2020
Received: from localhost ([127.0.0.1]:33481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHxm6-0004Yj-3J
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 18:48:26 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:37375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jHxm4-0004YW-Kk
 for 24076 <at> debbugs.gnu.org; Fri, 27 Mar 2020 18:48:25 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id 76875A8C;
 Fri, 27 Mar 2020 18:48:18 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Fri, 27 Mar 2020 18:48:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=from:to:subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=mesmtp; bh=wVr85YOXwwD3ssvk7h7YU6s
 NXH9Q8nE3R6iBmsO/K58=; b=xTA9YM/XTw2cnd4Hup6JLGZwuyIE7WnM4rDl6DW
 9AIAgKB/Kg68nhpfxQ6boHTqKTPXpSwMFql8PaCa0ZZanIZuaJOaTj+Uxi8hyjV/
 1QeLINwcpVC+JCZApNkhAlaegjS2PdLjFyYR0BIdeR8u9kEWOnAnNjV/X9qSXmC3
 Qw4g=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=wVr85Y
 OXwwD3ssvk7h7YU6sNXH9Q8nE3R6iBmsO/K58=; b=w2QFoVeUF3b9JHAZMPGFZP
 Z9Nvk7gPlNotfi5YB/JG0RsY30p45WkcY995W0CQoQZWp8K+63YrFfadSJlxevq+
 qykhvQKp9hV6V6+qnD+rur++FCEiEaqCaelobLsp5s5VXlwlrz5z+i+++9sNaf9b
 pT31j7EKer+ZxulszHyo2qkI2IKwoM5HRUCjwnniv4nwBITm6FWJhIoSe/M6j75g
 05gvcBGjap+D9Ali9FcZntoihbOt9yj82hfpi6pcSz6Rjhx+Zfj6ZBFo38iYYR+o
 nXp5DKgYUvLJaZxi1MbTg1ZIo/erz7nnXAdsbeI0ckTXOGCdzgm8TVnuQvNczLQg
 ==
X-ME-Sender: <xms:sYJ-XhZMg52mX5zirsoM6RGQNepocanXttXDYdhqKmXcwPCpRoPQ3A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudehledgudeivdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkffogggtgfesthekre
 dtredtjeenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecukfhppeejiedruddvgedrudefkedrieefnecuvehluhhsthgvrh
 fuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhi
 rdhnrghmvg
X-ME-Proxy: <xmx:sYJ-XlT-qMbLUWpbmUGE8r5YouCjAtUt-vUvgL-cfom3OO9u5GwaWw>
 <xmx:sYJ-Xjt3cMWmmd7_Kb92auZ_xZKzoMToAGh0UejROXfmO4JZTHbxXw>
 <xmx:sYJ-XvH15bEJltNWJo34Ay9tDQAQhB-WgpeUHTUGTejIWNoZrOf_oQ>
 <xmx:soJ-XmWj1RumgFhuN8nPa0iZ4nz_aoKCnDyjY6yfxFy01lTzHrCAKw>
Received: from jasmine.lan (c-76-124-138-63.hsd1.pa.comcast.net
 [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id C2EB9306C508
 for <24076 <at> debbugs.gnu.org>; Fri, 27 Mar 2020 18:48:17 -0400 (EDT)
From: Leo Famulari <leo@HIDDEN>
To: 24076 <at> debbugs.gnu.org
Subject: [PATCH] gnu: GnuPG: Really use ~/.guix-profile/bin/pinentry by
 default.
Date: Fri, 27 Mar 2020 18:48:01 -0400
Message-Id: <f71a360068e4dd9794c4f114361213e7569ff914.1585349180.git.leo@HIDDEN>
X-Mailer: git-send-email 2.26.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a followup to commit c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.

This patch does as expected for me! But it's been some years since I
wrote C code, so I copy existing functions and fought through compiler
errors to write this — please give a close review.

* gnu/packages/patches/gnupg-default-pinentry.patch: Use $HOME to find
the user's Guix profile and installed pinentry.
---
 .../patches/gnupg-default-pinentry.patch      | 39 +++++++++++++++----
 1 file changed, 32 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/patches/gnupg-default-pinentry.patch b/gnu/packages/patches/gnupg-default-pinentry.patch
index 272f4b53dc..5a3189b98a 100644
--- a/gnu/packages/patches/gnupg-default-pinentry.patch
+++ b/gnu/packages/patches/gnupg-default-pinentry.patch
@@ -1,15 +1,40 @@
-Default to the pinentry program installed in ~/.guix-profile.
-
 diff --git a/common/homedir.c b/common/homedir.c
-index e9e75d0..74e0aaf 100644
+index 4b6e46e88..de71e97b1 100644
 --- a/common/homedir.c
 +++ b/common/homedir.c
-@@ -968,7 +968,7 @@ get_default_pinentry_name (int reset)
+@@ -67,6 +67,10 @@
+  * gnupg_homedir and gnupg_set_homedir.  Malloced.  */
+ static char *the_gnupg_homedir;
+ 
++/* The user's home directory. Used in Guix to help GnuPG find the
++ * pinentry. */
++static char *the_user_homedir;
++
+ /* Flag indicating that home directory is not the default one.  */
+ static byte non_default_homedir;
+ 
+@@ -509,6 +513,16 @@ gnupg_homedir (void)
+   return the_gnupg_homedir;
+ }
+ 
++/* Return the user's home directory */
++const char *
++user_homedir (void)
++{
++  const char *dir;
++  dir = getenv("HOME");
++  if (!the_user_homedir)
++    the_user_homedir = make_absfilename (dir, NULL);
++  return the_user_homedir;
++}
+ 
+ /* Return whether the home dir is the default one.  */
+ int
+@@ -971,6 +985,7 @@ get_default_pinentry_name (int reset)
    } names[] = {
      /* The first entry is what we return in case we found no
         other pinentry.  */
--    { gnupg_bindir, DIRSEP_S "pinentry" EXEEXT_S },
-+    { gnupg_homedir, "/.guix-profile/bin/pinentry" },
++    { user_homedir, "/.guix-profile/bin/pinentry" },
+     { gnupg_bindir, DIRSEP_S "pinentry" EXEEXT_S },
  #ifdef HAVE_W32_SYSTEM
      /* Try Gpg4win directory (with bin and without.) */
-     { w32_rootdir, "\\..\\Gpg4win\\bin\\pinentry.exe" },
-- 
2.26.0





Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 27 Mar 2020 20:44:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 16:44:39 2020
Received: from localhost ([127.0.0.1]:33342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHvqI-0007Xu-Lb
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:44:38 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:54087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jHvqG-0007Xa-NR
 for 24076 <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:44:37 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id D82776F0;
 Fri, 27 Mar 2020 16:44:30 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Fri, 27 Mar 2020 16:44:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=6W9qJ/rRBFdMLfzLqyr1LhUA3CevYStzZVrT56v1GDg=; b=KQxxglnrUQzI
 +4WmK9mj9y7DqBgOQyVsbNunpixaJogXam7G6buq6urxE8ds91T50uoF0l+zUi5K
 c/OZx/R2gYnH7IcNlGDTwXiBTeOwNWhgcTvSYgQ5dXDrOSCOnd/O/g0fvrJrzmzn
 6kl8oqENGSgrqd7EpXjv/Oq5w3Q8vDs=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=6W9qJ/rRBFdMLfzLqyr1LhUA3CevYStzZVrT56v1G
 Dg=; b=wFoUjGtSSdjYGFmQ6tGKOQurdE311LlibLlVB4UQWGtyxdSBjqV1Cz7kT
 ljEtOgVMZ0OT4/9ckplAao4q46TXxxxENj177HUTH8q9N0uK4ug4/gn5hklNg50/
 b8AxS0gK33qck51bQ8mqABkf0tmV0z0xBnA4rcLWmHdwi65ehkaoD41huZNAJhj7
 QEMnqBJNcg7DwnDrOvH3SPkQlvOpuV6KywdI9H3LWYvsXnzoBClLlyIG4oOyMYmQ
 Q5dXAMIHDyU8wFv8y8NBebXwOf+B5IWaSInvhFGO+Q0RfKofj0VsKa/OtyAxO9mt
 uwImDhoW6gue3rF3gF2Ltw8yXRx+Q==
X-ME-Sender: <xms:rmV-XghDKJyOMC6_K8mzX-TmUYSOZrbjgbdOJaWTyd683QhjFG2YGg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudehledgudefjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtugfgjgesth
 ekredttddtudenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhu
 lhgrrhhirdhnrghmvgeqnecukfhppeejiedruddvgedrudefkedrieefnecuvehluhhsth
 gvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgr
 rhhirdhnrghmvg
X-ME-Proxy: <xmx:rmV-XgLs3NdLgo275VYF-1ZtgF48WMFb3-zvlAd8y9zUQkAaQuBWcg>
 <xmx:rmV-XqfFzKKomdRdcV9fp_h2gRtcYCg7Y_dDG9fSPQfxLJgjqe4RDw>
 <xmx:rmV-Xq8cGBCpfFCX1HRplLVqLJqhUSc0DM1xT7Z419q7SU5tqFyw2g>
 <xmx:rmV-XuFTeVkNJeG48FwV83Atwa6wjlofM8azI4amscbQRnFEUlR2Pw>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 459E4328005D;
 Fri, 27 Mar 2020 16:44:30 -0400 (EDT)
Date: Fri, 27 Mar 2020 16:02:26 -0400
From: Leo Famulari <leo@HIDDEN>
To: 24076 <at> debbugs.gnu.org
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits], it claims
 that there is no pinentry - but there is
Message-ID: <20200327200226.GA14330@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
 <87pncz9v23.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87pncz9v23.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Mar 26, 2020 at 01:09:40PM +0100, Ludovic Courts wrote:
> I (finally!) implemented this second option in commit
> c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.

It still doesn't work for me :/

> I confirmed that it has the indented effect like this:
[...]
> where the strace log shows:
> 
>   10    execve("/home/ludo/.gnupg/.guix-profile/bin/pinentry", ["pinentry"], 0x7f7aa80035e0 /* 14 vars */) = -1 ENOENT (No such file or directory)

This path includes the ~/.gnupg directory, so users need to do `export
GNUPGHOME=$HOME` for the lookup to work.

Is it okay to make GnuPG do that automatically when building the path in
get_default_pinentry_name()?




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 26 Mar 2020 12:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 08:09:49 2020
Received: from localhost ([127.0.0.1]:58170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHRKW-0001ON-UA
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jHRKV-0001O8-KP
 for 24076-done <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60434)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jHRKQ-0008DM-AT; Thu, 26 Mar 2020 08:09:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36910 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jHRKP-00040S-Uy; Thu, 26 Mar 2020 08:09:42 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
Date: Thu, 26 Mar 2020 13:09:40 +0100
In-Reply-To: <87shuuj7y4.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 28 Jul 2016 13:52:35 +0200")
Message-ID: <87pncz9v23.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: Danny Milosavljevic <dannym@HIDDEN>, 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> What about having GnuPG depend on pinentry-tty, and configuring it with:
>
>   --with-pinentry-pgm=3D/path/to/pinentry-tty
>
> ?  That would at least provide a reasonable default.  The closure size
> of GnuPG would increase from 220 to 243 MiB (+10%).
>
> Most of the time, people will want to use pinentry-gtk though.
>
> Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, in=
 homedir.c, from:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
> #ifdef GNUPG_DEFAULT_PINENTRY
>       return GNUPG_DEFAULT_PINENTRY;
> #else
>       X(bindir, "pinentry");
> #endif
>
>
> to something like:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
>       X(homedir, ".guix-profile/bin/pinentry);
>
> =E2=80=A6 in which case GnuPG would default to the user-installed pinentr=
y, if
> available.  Not perfect either, but closer to what other distros do.

I (finally!) implemented this second option in commit
c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.

I confirmed that it has the indented effect like this:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ ./pre-inst-env guix environment --ad-hoc gnupg stra=
ce coreutils sed grep -C
ludo@ribbon ~/src/guix [env]$ strace -f -o ,,s -s 500 gpg --generate-key
gpg (GnuPG) 2.2.20; Copyright (C) 2020 Free Software Foundation, Inc.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

gpg: directory '/home/ludo/.gnupg' created
gpg: keybox '/home/ludo/.gnupg/pubring.kbx' created
Note: Use "gpg --full-generate-key" for a full featured key generation dial=
og.

GnuPG needs to construct a user ID to identify your key.

Real name: Foo Bar
Email address: foo@HIDDEN
You selected this USER-ID:
    "Foo Bar <foo@HIDDEN>"

Change (N)ame, (E)mail, or (O)kay/(Q)uit? o
We need to generate a lot of random bytes. It is a good idea to perform
some other action (type on the keyboard, move the mouse, utilize the
disks) during the prime generation; this gives the random number
generator a better chance to gain enough entropy.
gpg: agent_genkey failed: No pinentry
Key generation failed: No pinentry

--8<---------------cut here---------------end--------------->8---

where the strace log shows:

  10    execve("/home/ludo/.gnupg/.guix-profile/bin/pinentry", ["pinentry"]=
, 0x7f7aa80035e0 /* 14 vars */) =3D -1 ENOENT (No such file or directory)

So now one just needs to install one of the pinentry packages.

Thanks,
Ludo=E2=80=99.




Notification sent to jon@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 26 Mar 2020 12:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 08:09:49 2020
Received: from localhost ([127.0.0.1]:58170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHRKW-0001ON-UA
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jHRKV-0001O8-KP
 for 24076-done <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60434)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jHRKQ-0008DM-AT; Thu, 26 Mar 2020 08:09:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36910 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jHRKP-00040S-Uy; Thu, 26 Mar 2020 08:09:42 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
Date: Thu, 26 Mar 2020 13:09:40 +0100
In-Reply-To: <87shuuj7y4.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 28 Jul 2016 13:52:35 +0200")
Message-ID: <87pncz9v23.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: Danny Milosavljevic <dannym@HIDDEN>, 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> What about having GnuPG depend on pinentry-tty, and configuring it with:
>
>   --with-pinentry-pgm=3D/path/to/pinentry-tty
>
> ?  That would at least provide a reasonable default.  The closure size
> of GnuPG would increase from 220 to 243 MiB (+10%).
>
> Most of the time, people will want to use pinentry-gtk though.
>
> Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, in=
 homedir.c, from:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
> #ifdef GNUPG_DEFAULT_PINENTRY
>       return GNUPG_DEFAULT_PINENTRY;
> #else
>       X(bindir, "pinentry");
> #endif
>
>
> to something like:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
>       X(homedir, ".guix-profile/bin/pinentry);
>
> =E2=80=A6 in which case GnuPG would default to the user-installed pinentr=
y, if
> available.  Not perfect either, but closer to what other distros do.

I (finally!) implemented this second option in commit
c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.

I confirmed that it has the indented effect like this:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ ./pre-inst-env guix environment --ad-hoc gnupg stra=
ce coreutils sed grep -C
ludo@ribbon ~/src/guix [env]$ strace -f -o ,,s -s 500 gpg --generate-key
gpg (GnuPG) 2.2.20; Copyright (C) 2020 Free Software Foundation, Inc.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

gpg: directory '/home/ludo/.gnupg' created
gpg: keybox '/home/ludo/.gnupg/pubring.kbx' created
Note: Use "gpg --full-generate-key" for a full featured key generation dial=
og.

GnuPG needs to construct a user ID to identify your key.

Real name: Foo Bar
Email address: foo@HIDDEN
You selected this USER-ID:
    "Foo Bar <foo@HIDDEN>"

Change (N)ame, (E)mail, or (O)kay/(Q)uit? o
We need to generate a lot of random bytes. It is a good idea to perform
some other action (type on the keyboard, move the mouse, utilize the
disks) during the prime generation; this gives the random number
generator a better chance to gain enough entropy.
gpg: agent_genkey failed: No pinentry
Key generation failed: No pinentry

--8<---------------cut here---------------end--------------->8---

where the strace log shows:

  10    execve("/home/ludo/.gnupg/.guix-profile/bin/pinentry", ["pinentry"]=
, 0x7f7aa80035e0 /* 14 vars */) =3D -1 ENOENT (No such file or directory)

So now one just needs to install one of the pinentry packages.

Thanks,
Ludo=E2=80=99.




Notification sent to Raghav Gururajan <raghavgururajan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 24076-done <at> debbugs.gnu.org:


Received: (at 24076-done) by debbugs.gnu.org; 26 Mar 2020 12:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 08:09:49 2020
Received: from localhost ([127.0.0.1]:58170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHRKW-0001ON-UA
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jHRKV-0001O8-KP
 for 24076-done <at> debbugs.gnu.org; Thu, 26 Mar 2020 08:09:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60434)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jHRKQ-0008DM-AT; Thu, 26 Mar 2020 08:09:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36910 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jHRKP-00040S-Uy; Thu, 26 Mar 2020 08:09:42 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
Date: Thu, 26 Mar 2020 13:09:40 +0100
In-Reply-To: <87shuuj7y4.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 28 Jul 2016 13:52:35 +0200")
Message-ID: <87pncz9v23.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076-done
Cc: Danny Milosavljevic <dannym@HIDDEN>, 24076-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> What about having GnuPG depend on pinentry-tty, and configuring it with:
>
>   --with-pinentry-pgm=3D/path/to/pinentry-tty
>
> ?  That would at least provide a reasonable default.  The closure size
> of GnuPG would increase from 220 to 243 MiB (+10%).
>
> Most of the time, people will want to use pinentry-gtk though.
>
> Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, in=
 homedir.c, from:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
> #ifdef GNUPG_DEFAULT_PINENTRY
>       return GNUPG_DEFAULT_PINENTRY;
> #else
>       X(bindir, "pinentry");
> #endif
>
>
> to something like:
>
>     case GNUPG_MODULE_NAME_PINENTRY:
>       X(homedir, ".guix-profile/bin/pinentry);
>
> =E2=80=A6 in which case GnuPG would default to the user-installed pinentr=
y, if
> available.  Not perfect either, but closer to what other distros do.

I (finally!) implemented this second option in commit
c7af9d0b5ebaa1fdb08ff5d8a56004998bcd8103.

I confirmed that it has the indented effect like this:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ ./pre-inst-env guix environment --ad-hoc gnupg stra=
ce coreutils sed grep -C
ludo@ribbon ~/src/guix [env]$ strace -f -o ,,s -s 500 gpg --generate-key
gpg (GnuPG) 2.2.20; Copyright (C) 2020 Free Software Foundation, Inc.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

gpg: directory '/home/ludo/.gnupg' created
gpg: keybox '/home/ludo/.gnupg/pubring.kbx' created
Note: Use "gpg --full-generate-key" for a full featured key generation dial=
og.

GnuPG needs to construct a user ID to identify your key.

Real name: Foo Bar
Email address: foo@HIDDEN
You selected this USER-ID:
    "Foo Bar <foo@HIDDEN>"

Change (N)ame, (E)mail, or (O)kay/(Q)uit? o
We need to generate a lot of random bytes. It is a good idea to perform
some other action (type on the keyboard, move the mouse, utilize the
disks) during the prime generation; this gives the random number
generator a better chance to gain enough entropy.
gpg: agent_genkey failed: No pinentry
Key generation failed: No pinentry

--8<---------------cut here---------------end--------------->8---

where the strace log shows:

  10    execve("/home/ludo/.gnupg/.guix-profile/bin/pinentry", ["pinentry"]=
, 0x7f7aa80035e0 /* 14 vars */) =3D -1 ENOENT (No such file or directory)

So now one just needs to install one of the pinentry packages.

Thanks,
Ludo=E2=80=99.




Notification sent to Danny Milosavljevic <dannym@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 24076 36784 37266. Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 22 Jul 2019 11:45:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 07:45:11 2019
Received: from localhost ([127.0.0.1]:60070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpWkg-0006Gs-J4
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 07:45:10 -0400
Received: from mx2.mailbox.org ([80.241.60.215]:43434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hpWke-00069O-UQ
 for 24076 <at> debbugs.gnu.org; Mon, 22 Jul 2019 07:45:09 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id E4028A1939
 for <24076 <at> debbugs.gnu.org>; Mon, 22 Jul 2019 13:45:02 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id lBxf23TK6Bbj for <24076 <at> debbugs.gnu.org>;
 Mon, 22 Jul 2019 13:44:59 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: gnupg [-agent]: when signing [commits], it claims that there is no
 pinentry - but there is
Message-Id: <E02B2A78-B025-4723-A296-5E88357E60F0@HIDDEN>
Date: Mon, 22 Jul 2019 13:44:57 +0200
To: 24076 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Just to note that this is still a problem. I just installed
gnupg (via guix install gnupg), and gpg --generate-keys fails
due to missing pinentry. I had to find this bug report to
work around this.





Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 14 Oct 2016 13:16:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 09:16:57 2016
Received: from localhost ([127.0.0.1]:54894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bv2M5-0000tQ-C9
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2016 09:16:57 -0400
Received: from hera.aquilenet.fr ([141.255.128.1]:58279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bv2M3-0000tI-N4
 for 24076 <at> debbugs.gnu.org; Fri, 14 Oct 2016 09:16:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 5B89C84B2;
 Fri, 14 Oct 2016 15:16:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id q_yxR7BXgG9N; Fri, 14 Oct 2016 15:16:52 +0200 (CEST)
Received: from pluto (pluto.bordeaux.inria.fr [193.50.110.57])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id C297A6E39;
 Fri, 14 Oct 2016 15:16:52 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Federico Beffa <beffa@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN>
 <CAKrPhPM5UcDkkz0h7MLKK2GJPn4bY6GyGg5W7zMGA43oHC-nfQ@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 =?utf-8?Q?Vend=C3=A9miaire?= an 225 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Fri, 14 Oct 2016 15:16:52 +0200
In-Reply-To: <CAKrPhPM5UcDkkz0h7MLKK2GJPn4bY6GyGg5W7zMGA43oHC-nfQ@HIDDEN>
 (Federico Beffa's message of "Fri, 14 Oct 2016 08:45:28 +0200")
Message-ID: <871szjax4r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24076
Cc: 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Federico Beffa <beffa@HIDDEN> skribis:

> Note that installing 'gnupg' doesn't automatically bring in
> 'pinentry'. For this reason installing 'gnupg' doesn't work out of the
> box as a user would expect:
>
> gpg: agent_genkey failed: No pinentry
> Key generation failed: No pinentry

I agree that this is a problem.  A fix that would work is the 2nd option
outlined at:

  https://lists.gnu.org/archive/html/bug-guix/2016-07/msg00092.html

Haven=E2=80=99t taken the time to look into it yet!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 14 Oct 2016 06:45:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 02:45:36 2016
Received: from localhost ([127.0.0.1]:54720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1buwFL-0005Pj-Rx
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2016 02:45:35 -0400
Received: from mail-vk0-f43.google.com ([209.85.213.43]:33636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <federico.beffa@HIDDEN>) id 1buwFK-0005PW-CJ
 for 24076 <at> debbugs.gnu.org; Fri, 14 Oct 2016 02:45:34 -0400
Received: by mail-vk0-f43.google.com with SMTP id 83so81098067vkd.0
 for <24076 <at> debbugs.gnu.org>; Thu, 13 Oct 2016 23:45:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=t2ayX37K1w/W9l1q8n3Ce9RaR0Pq7c8cnz147nctXn4=;
 b=CRUdSxejry3OHiAqTPzZIizP59uz5rcVrUx1d7O9Yuj18EtQK8TbobCOPdMtyUnTjs
 yyDP2VOkg0+gURPVvUUgbV0CoOecHB+j2mVoPq+6EovkAlKVJnqEFU29RHoXCIJ5U6T0
 Jcn8tBblOFw9o620lbsJLK/fhGnQ9U3TIF/eupvsaQyj7LVFVMmW7R9I0ZcGKb7TwAk0
 SCT9jntWmBVlo59NhiBuwwy57TV41lRRS3HyCtSBG2djBTZ9DLg9lazv1GCB00E+e2X2
 RpMv9fVhEg4IvdHsRbIMo5xBBm5DO4ptSORBsQXBhYfY+ybAWwOQZxV9GD74TfYeMPf3
 0U2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=t2ayX37K1w/W9l1q8n3Ce9RaR0Pq7c8cnz147nctXn4=;
 b=j2RWFbnrBuJXCNGirRcvD87K2ZWR7Khtp+ZW4vyci7jW5/RAgo3r2jHyj1mxCyLv3T
 FY+HtjYSCLigiJ86pQn0FZWMNyspHbSm2EGZuKC/tFD0yxlT6PyPpIpwLYlxsOq3CQcL
 mk7nxj93LRVAQmJJ0f7h1OWDHPFmr0RGD+X5GSkP8glqqZp+rA8R97mus16NyKajqM8Z
 xuf8FGUnKn50oXAzILSETO9246dbImxV3YD9kM5Eeu/AhI994zfjtEVyGWCqom18oPBw
 7sNuG+lMP5suEYDZh5g6x5HRViaP1L7/Cxt5bhtFjwZQsq+2X/8cJ4FKGa9u5Von4sjf
 LQ5Q==
X-Gm-Message-State: AA6/9RmszzSt2SnEIKRGxrl1bxkU+jEknC5Rrtb+Sh5NPRBjHEJcmeTttzxzOuEY1z884+rmsZThGHGQYmJkhA==
X-Received: by 10.31.3.25 with SMTP id 25mr6571816vkd.116.1476427528561; Thu,
 13 Oct 2016 23:45:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.103.128.214 with HTTP; Thu, 13 Oct 2016 23:45:28 -0700 (PDT)
From: Federico Beffa <beffa@HIDDEN>
Date: Fri, 14 Oct 2016 08:45:28 +0200
X-Google-Sender-Auth: 6hdVZqlFlCYsYyDn23BLRKzYoWw
Message-ID: <CAKrPhPM5UcDkkz0h7MLKK2GJPn4bY6GyGg5W7zMGA43oHC-nfQ@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits], it claims that
 there is no pinentry - but there is
To: 24076 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Note that installing 'gnupg' doesn't automatically bring in
'pinentry'. For this reason installing 'gnupg' doesn't work out of the
box as a user would expect:

gpg: agent_genkey failed: No pinentry
Key generation failed: No pinentry


Fede




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 28 Jul 2016 17:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 13:58:39 2016
Received: from localhost ([127.0.0.1]:49545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSpZv-0007Ur-Me
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 13:58:39 -0400
Received: from mail-lf0-f51.google.com ([209.85.215.51]:33859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1bSpZt-0007Ug-Nq
 for 24076 <at> debbugs.gnu.org; Thu, 28 Jul 2016 13:58:38 -0400
Received: by mail-lf0-f51.google.com with SMTP id l69so54971637lfg.1
 for <24076 <at> debbugs.gnu.org>; Thu, 28 Jul 2016 10:58:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=G3JTVCimxyI4SLyCWDW2jskfR4OnmoI5NsiskouOgXk=;
 b=C6IOwN6r1iYkQ26MyLWNBICIEKeJePXigO42LH4ll2UhY5Wc09trqbeWti2774v8CX
 PiKvpbR+fTgOuieAidmkIlhYcH1ANp3sQerqU23oskMq2eCnmnr35QuP4oBLfhRqdDbN
 mf4+Q8nWK3YL/2h9zNIhgT2F8Ra4dFXWeq6yx3FeyCGtL6tdtaAy9Xhvo9xuKWTEpXtz
 SJiqIjQa9toFcs2KhXWTQA7kCvIdl7Re2nWmj9juwuode+rz2WD6mpSR02HjTzCyHO0A
 tyxC80IWzXHzTjwzLE72aTpwLKKiYPdpHNdHQca2DtCoDnnpt0TvjI8gU7n/PrZAoF79
 6Rgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=G3JTVCimxyI4SLyCWDW2jskfR4OnmoI5NsiskouOgXk=;
 b=gqmzd/Q7GNuZUdA9WjMg7BWsTHOef9i2c3C3OY8axfF0eivSIE313Hk2C2tiFxr0h+
 w631L86YkYF+UrqYGTtwzPzzyG+qOKCYju0WfOccwI8Dl3t+5LIw6SiIzKH0dh9C2fe8
 Op5QdKpzCza562Ir+446y6e9pd5S4fsGUQ2xzIc2PKQg/51Xye40xpCL4vlulBKKwTEf
 pgaC9KWH/Dl6kDaYHIwsjpXNeHXhBMBIQ7oaGyg8y8SjjznUSNQIEPOI6avXqBgyFVBT
 JlWd59FDLVnCNvY0ouAY9AWebt3SgHvg398+JsRRznChCbe1qGydS2TOMkQqXcCh5nD2
 alIQ==
X-Gm-Message-State: AEkoousDhvEdH7dXLPPIc/0O5E0Lk8EXVvSMUXJqjDv/PcBxgWZokrwB9v5WT3i+vI7DLw==
X-Received: by 10.25.91.149 with SMTP id p143mr11933135lfb.39.1469728711595;
 Thu, 28 Jul 2016 10:58:31 -0700 (PDT)
Received: from leviafan ([217.107.192.156])
 by smtp.gmail.com with ESMTPSA id j64sm2137937lfb.31.2016.07.28.10.58.30
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 28 Jul 2016 10:58:30 -0700 (PDT)
From: Alex Kost <alezost@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
 <20160728140441.5e8a0db0@HIDDEN>
Date: Thu, 28 Jul 2016 20:58:29 +0300
In-Reply-To: <20160728140441.5e8a0db0@HIDDEN> (Danny Milosavljevic's
 message of "Thu, 28 Jul 2016 14:04:41 +0200")
Message-ID: <8737mtr6ey.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Danny Milosavljevic (2016-07-28 15:04 +0300) wrote:

>> Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, i=
n homedir.c, from:
>>=20
>> --8<---------------cut here---------------start------------->8---
>>     case GNUPG_MODULE_NAME_PINENTRY:
>> #ifdef GNUPG_DEFAULT_PINENTRY
>>       return GNUPG_DEFAULT_PINENTRY;
>> #else
>>       X(bindir, "pinentry");
>> #endif
>> --8<---------------cut here---------------end--------------->8---
>>=20
>> to something like:
>>=20
>> --8<---------------cut here---------------start------------->8---
>>     case GNUPG_MODULE_NAME_PINENTRY:
>>       X(homedir, ".guix-profile/bin/pinentry);
>> --8<---------------cut here---------------end--------------->8---
>>=20
>> =E2=80=A6 in which case GnuPG would default to the user-installed pinent=
ry, if
>> available.  Not perfect either, but closer to what other distros do.
>
> I would like that, yes. It's not like the X(bindir, "pinentry") would
> ever work in GuixSD anyway - so no loss.

(Not only GuixSD, but Guix in general)

I agree, this would be better than the current situation.

--=20
Alex




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 28 Jul 2016 12:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 08:04:48 2016
Received: from localhost ([127.0.0.1]:48915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSk3U-00042d-Ks
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 08:04:48 -0400
Received: from dd1012.kasserver.com ([85.13.128.8]:50378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1bSk3S-00042T-N0
 for 24076 <at> debbugs.gnu.org; Thu, 28 Jul 2016 08:04:47 -0400
Received: from localhost (178.112.81.47.wireless.dyn.drei.com [178.112.81.47])
 by dd1012.kasserver.com (Postfix) with ESMTPSA id 016121CA06E3;
 Thu, 28 Jul 2016 14:04:44 +0200 (CEST)
Date: Thu, 28 Jul 2016 14:04:41 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits], it claims
 that there is no pinentry - but there is
Message-ID: <20160728140441.5e8a0db0@HIDDEN>
In-Reply-To: <87shuuj7y4.fsf@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN> <87shuuj7y4.fsf@HIDDEN>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
Cc: Alex Kost <alezost@HIDDEN>, 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, in=
 homedir.c, from:
>=20
> --8<---------------cut here---------------start------------->8---
>     case GNUPG_MODULE_NAME_PINENTRY:
> #ifdef GNUPG_DEFAULT_PINENTRY
>       return GNUPG_DEFAULT_PINENTRY;
> #else
>       X(bindir, "pinentry");
> #endif
> --8<---------------cut here---------------end--------------->8---
>=20
> to something like:
>=20
> --8<---------------cut here---------------start------------->8---
>     case GNUPG_MODULE_NAME_PINENTRY:
>       X(homedir, ".guix-profile/bin/pinentry);
> --8<---------------cut here---------------end--------------->8---
>=20
> =E2=80=A6 in which case GnuPG would default to the user-installed pinentr=
y, if
> available.  Not perfect either, but closer to what other distros do.

I would like that, yes. It's not like the X(bindir, "pinentry") would ever =
work in GuixSD anyway - so no loss.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 28 Jul 2016 11:52:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 07:52:50 2016
Received: from localhost ([127.0.0.1]:48896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSjru-0003k4-1r
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 07:52:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bSjrt-0003js-Cq
 for 24076 <at> debbugs.gnu.org; Thu, 28 Jul 2016 07:52:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bSjrj-00007z-Vl
 for 24076 <at> debbugs.gnu.org; Thu, 28 Jul 2016 07:52:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43403)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bSjrj-00007v-Sd; Thu, 28 Jul 2016 07:52:39 -0400
Received: from pluto.bordeaux.inria.fr ([193.50.110.57]:47324 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bSjrh-0003Ct-UN; Thu, 28 Jul 2016 07:52:38 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
 <87popy13x6.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 11 Thermidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 28 Jul 2016 13:52:35 +0200
In-Reply-To: <87popy13x6.fsf@HIDDEN> (Alex Kost's message of "Thu, 28 Jul
 2016 12:56:53 +0300")
Message-ID: <87shuuj7y4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24076
Cc: Danny Milosavljevic <dannym@HIDDEN>, 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

Alex Kost <alezost@HIDDEN> skribis:

> Ludovic Court=C3=A8s (2016-07-27 14:01 +0300) wrote:
>
>> Hi,
>>
>> Danny Milosavljevic <dannym@HIDDEN> skribis:
>>
>>>> My ~/.gnupg/gpg-agent.conf file reads this:
>>>>=20
>>>> --8<---------------cut here---------------start------------->8---
>>>> pinentry-program /home/ludo/.guix-profile/bin/pinentry-gtk-2
>>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> Yes, the file didn't exist. I created it and it works now.
>>
>> Great.
>>
>>> I did install the pinentry package, though.
>>>
>>> Do you think it would make sense to put this in the skeleton for new us=
er accounts?
>>
>> Maybe.  Ideally, this would be addressed by GnuPG itself, which should
>> somehow make it easier to set it up, because there=E2=80=99s nothing
>> GuixSD-specific here AFAICS.  What do other distros do to help?
>
> My guess: other distros do nothing, because GnuPG searches for
> pinentries in a default bindir, I mean in a dir where gpg is placed
> (/usr/bin or whatever).
>
> IMO this is Guix-specific, as you have to run gpg-agent with
> --pinentry-program option (or specify it in the "gpg-agent.conf" file).

Good point.

What about having GnuPG depend on pinentry-tty, and configuring it with:

  --with-pinentry-pgm=3D/path/to/pinentry-tty

?  That would at least provide a reasonable default.  The closure size
of GnuPG would increase from 220 to 243 MiB (+10%).

Most of the time, people will want to use pinentry-gtk though.

Another option would be to change =E2=80=98gnupg_module_name=E2=80=99, in h=
omedir.c, from:

--8<---------------cut here---------------start------------->8---
    case GNUPG_MODULE_NAME_PINENTRY:
#ifdef GNUPG_DEFAULT_PINENTRY
      return GNUPG_DEFAULT_PINENTRY;
#else
      X(bindir, "pinentry");
#endif
--8<---------------cut here---------------end--------------->8---

to something like:

--8<---------------cut here---------------start------------->8---
    case GNUPG_MODULE_NAME_PINENTRY:
      X(homedir, ".guix-profile/bin/pinentry);
--8<---------------cut here---------------end--------------->8---

=E2=80=A6 in which case GnuPG would default to the user-installed pinentry,=
 if
available.  Not perfect either, but closer to what other distros do.

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 28 Jul 2016 09:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 05:56:59 2016
Received: from localhost ([127.0.0.1]:48846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSi3n-0006Ed-ND
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 05:56:59 -0400
Received: from mail-lf0-f43.google.com ([209.85.215.43]:35611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1bSi3m-0006EQ-17
 for 24076 <at> debbugs.gnu.org; Thu, 28 Jul 2016 05:56:58 -0400
Received: by mail-lf0-f43.google.com with SMTP id f93so45772635lfi.2
 for <24076 <at> debbugs.gnu.org>; Thu, 28 Jul 2016 02:56:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=i4hggaZF2ckOs80g5xwXdc4tT486rwyg9FMtnjA/9e8=;
 b=O9sM9TIjc07qLhWhz+6C7B2NJ9iTbFn/W0d5XmiLHUkQg1A7TfMsiATVBk07BTAHxI
 5gthh5gzkPwfotdf39FBv0MxcTpCEEzD32ioiYXyU3FSdlmybxjedlDbGZWRcm/lkXhI
 5scMoMCfqBuOuUFQmnf3EENwSDIN5BaWpkjp2QmZX/QSj/rs3yPEgI8fZiTLAwW2d+1v
 5S+1crqUw7LLHVFc9syDMcMJvGseEKgMaiJw3LU5vzNKPfGpjXUI/Svps54+AUWLLQOF
 aeBx8E+TfPBLVOy7rSgBACDjDSYAHaIndYzSiU/THfomU9/h2cwCMFv4rP04XdbhzwMU
 rEFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=i4hggaZF2ckOs80g5xwXdc4tT486rwyg9FMtnjA/9e8=;
 b=FbK8i41elHocwT2J9ewvcLe3Jz7ZgLXFGwnAriMKRxKBJTFDngVYoDOPRvILYvK7Zi
 Qh7/LjoQ/zNDzHr61bOAPDJ6vprpaoyEEYWHl5FEpuvObTkcoJF3mHGhxTP129EMNrrd
 YMc289weeG+ocifBGc8Ho9VOU9epd3euL8AmouDBUeBzl4eUZeYoWH8IwN4CYScuBRs9
 FizaKC7gpI8K/vogbPdcm8nD2nScT7cTKAyk0IOPAu86EiFndidzTYOt10aXjmIsPn31
 1VTu7hdQcJw0feO3HuGNRGquEWdnkbs3w8jFZX3gMNYWG7Pc1UyqC4L3tMu8U3lavLW/
 HVaw==
X-Gm-Message-State: AEkoouvZz0GezKdwtJj/ib1DMsctkEcKXGkzGqA+CpPWRwbKuyMV6DTFc2BLjfT9pqT2gw==
X-Received: by 10.46.33.72 with SMTP id h69mr12664503ljh.45.1469699811870;
 Thu, 28 Jul 2016 02:56:51 -0700 (PDT)
Received: from leviafan ([217.107.192.156])
 by smtp.gmail.com with ESMTPSA id g40sm1795004ljg.22.2016.07.28.02.56.50
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 28 Jul 2016 02:56:51 -0700 (PDT)
From: Alex Kost <alezost@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN> <878twnz6o4.fsf@HIDDEN>
Date: Thu, 28 Jul 2016 12:56:53 +0300
In-Reply-To: <878twnz6o4.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 27 Jul 2016 13:01:15 +0200")
Message-ID: <87popy13x6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
Cc: Danny Milosavljevic <dannym@HIDDEN>, 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ludovic Court=C3=A8s (2016-07-27 14:01 +0300) wrote:

> Hi,
>
> Danny Milosavljevic <dannym@HIDDEN> skribis:
>
>>> My ~/.gnupg/gpg-agent.conf file reads this:
>>>=20
>>> --8<---------------cut here---------------start------------->8---
>>> pinentry-program /home/ludo/.guix-profile/bin/pinentry-gtk-2
>>> --8<---------------cut here---------------end--------------->8---
>>
>> Yes, the file didn't exist. I created it and it works now.
>
> Great.
>
>> I did install the pinentry package, though.
>>
>> Do you think it would make sense to put this in the skeleton for new use=
r accounts?
>
> Maybe.  Ideally, this would be addressed by GnuPG itself, which should
> somehow make it easier to set it up, because there=E2=80=99s nothing
> GuixSD-specific here AFAICS.  What do other distros do to help?

My guess: other distros do nothing, because GnuPG searches for
pinentries in a default bindir, I mean in a dir where gpg is placed
(/usr/bin or whatever).

IMO this is Guix-specific, as you have to run gpg-agent with
--pinentry-program option (or specify it in the "gpg-agent.conf" file).

--=20
Alex




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 27 Jul 2016 11:01:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 07:01:32 2016
Received: from localhost ([127.0.0.1]:38770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSMai-00064Q-1h
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 07:01:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bSMah-00064C-3a
 for 24076 <at> debbugs.gnu.org; Wed, 27 Jul 2016 07:01:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bSMaW-00010l-OT
 for 24076 <at> debbugs.gnu.org; Wed, 27 Jul 2016 07:01:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54781)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bSMaW-00010G-L3; Wed, 27 Jul 2016 07:01:20 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:54470 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bSMaT-00016Q-Dx; Wed, 27 Jul 2016 07:01:18 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
 <20160727115405.704f02ac@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 10 Thermidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Wed, 27 Jul 2016 13:01:15 +0200
In-Reply-To: <20160727115405.704f02ac@HIDDEN> (Danny Milosavljevic's
 message of "Wed, 27 Jul 2016 11:54:05 +0200")
Message-ID: <878twnz6o4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24076
Cc: 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

Hi,

Danny Milosavljevic <dannym@HIDDEN> skribis:

>> My ~/.gnupg/gpg-agent.conf file reads this:
>>=20
>> --8<---------------cut here---------------start------------->8---
>> pinentry-program /home/ludo/.guix-profile/bin/pinentry-gtk-2
>> --8<---------------cut here---------------end--------------->8---
>
> Yes, the file didn't exist. I created it and it works now.

Great.

> I did install the pinentry package, though.
>
> Do you think it would make sense to put this in the skeleton for new user=
 accounts?

Maybe.  Ideally, this would be addressed by GnuPG itself, which should
somehow make it easier to set it up, because there=E2=80=99s nothing
GuixSD-specific here AFAICS.  What do other distros do to help?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 27 Jul 2016 09:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 05:54:20 2016
Received: from localhost ([127.0.0.1]:38746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSLXg-0004Or-F1
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 05:54:20 -0400
Received: from dd1012.kasserver.com ([85.13.128.8]:34581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1bSLXf-0004Oj-4b
 for 24076 <at> debbugs.gnu.org; Wed, 27 Jul 2016 05:54:19 -0400
Received: from localhost (77.116.159.65.wireless.dyn.drei.com [77.116.159.65])
 by dd1012.kasserver.com (Postfix) with ESMTPSA id 83EF91CA0235;
 Wed, 27 Jul 2016 11:54:16 +0200 (CEST)
Date: Wed, 27 Jul 2016 11:54:05 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits], it claims
 that there is no pinentry - but there is
Message-ID: <20160727115405.704f02ac@HIDDEN>
In-Reply-To: <87poq016rt.fsf@HIDDEN>
References: <20160726180507.21e5e8e0@HIDDEN> <87poq016rt.fsf@HIDDEN>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24076
Cc: 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Ludo,

> My ~/.gnupg/gpg-agent.conf file reads this:
> 
> --8<---------------cut here---------------start------------->8---
> pinentry-program /home/ludo/.guix-profile/bin/pinentry-gtk-2
> --8<---------------cut here---------------end--------------->8---

Yes, the file didn't exist. I created it and it works now.

I did install the pinentry package, though.

Do you think it would make sense to put this in the skeleton for new user accounts?

It wouldn't matter if it's were not installed then - then the user will get an error message and would install it (hopefully). But then it would work.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at 24076 <at> debbugs.gnu.org:


Received: (at 24076) by debbugs.gnu.org; 26 Jul 2016 20:31:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 26 16:31:02 2016
Received: from localhost ([127.0.0.1]:38485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bS90H-00078l-V2
	for submit <at> debbugs.gnu.org; Tue, 26 Jul 2016 16:31:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bS90G-00078P-B6
 for 24076 <at> debbugs.gnu.org; Tue, 26 Jul 2016 16:31:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bS906-00006g-A4
 for 24076 <at> debbugs.gnu.org; Tue, 26 Jul 2016 16:30:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45299)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bS906-00006c-0g; Tue, 26 Jul 2016 16:30:50 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:39266 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bS905-0001pS-61; Tue, 26 Jul 2016 16:30:49 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#24076: gnupg [-agent]: when signing [commits],
 it claims that there is no pinentry - but there is
References: <20160726180507.21e5e8e0@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 Thermidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Tue, 26 Jul 2016 22:30:46 +0200
In-Reply-To: <20160726180507.21e5e8e0@HIDDEN> (Danny Milosavljevic's
 message of "Tue, 26 Jul 2016 18:05:07 +0200")
Message-ID: <87poq016rt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24076
Cc: 24076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

Danny Milosavljevic <dannym@HIDDEN> skribis:

> dannym@dayas ~/src/guix$ strace -f  git commit -S -m "x" gnu/packages/dat=
abases.scm 2>&1 |grep pinentry
> [pid 32548] write(4, "OPTION allow-pinentry-notify", 28) =3D 28
> [pid 32548] read(4, "ERR 67108949 No pinentry <GPG Ag"..., 1002) =3D 37
> [pid 32548] write(2, "gpg: signing failed: No pinentry", 32gpg: signing f=
ailed: No pinentry) =3D 32
> [pid 32548] write(2, "gpg: signing failed: No pinentry", 32gpg: signing f=
ailed: No pinentry) =3D 32
>
> dannym@dayas ~$ which pinentry
> /home/dannym/.guix-profile/bin/pinentry
> dannym@dayas ~$ pinen<TAB>
> pinentry         pinentry-curses  pinentry-gtk-2   pinentry-tty
> dannym@dayas ~$ pinentry
> OK Pleased to meet you

My ~/.gnupg/gpg-agent.conf file reads this:

--8<---------------cut here---------------start------------->8---
pinentry-program /home/ludo/.guix-profile/bin/pinentry-gtk-2
--8<---------------cut here---------------end--------------->8---

=E2=80=A6 and I have:

--8<---------------cut here---------------start------------->8---
$ guix package --list-installed=3Dpinentry
pinentry	0.9.7	out	/gnu/store/2ngvzmsmjykaiv697ffnl7ajc3dm0rrh-pinentry-0.9=
.7
--8<---------------cut here---------------end--------------->8---

Could it be that you=E2=80=99re missing one of these?

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jul 2016 16:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 26 12:05:25 2016
Received: from localhost ([127.0.0.1]:38331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bS4rF-0000kd-Cl
	for submit <at> debbugs.gnu.org; Tue, 26 Jul 2016 12:05:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1bS4rD-0000kR-Tt
 for submit <at> debbugs.gnu.org; Tue, 26 Jul 2016 12:05:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1bS4r7-0006CE-Lt
 for submit <at> debbugs.gnu.org; Tue, 26 Jul 2016 12:05:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_05,RCVD_IN_SORBS_WEB
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39481)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1bS4r7-0006BT-JF
 for submit <at> debbugs.gnu.org; Tue, 26 Jul 2016 12:05:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32818)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1bS4r5-0004TJ-Ex
 for bug-guix@HIDDEN; Tue, 26 Jul 2016 12:05:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1bS4r1-00067r-8X
 for bug-guix@HIDDEN; Tue, 26 Jul 2016 12:05:14 -0400
Received: from dd1012.kasserver.com ([85.13.128.8]:47326)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1bS4r1-000675-31
 for bug-guix@HIDDEN; Tue, 26 Jul 2016 12:05:11 -0400
Received: from localhost (212095007032.public.telering.at [212.95.7.32])
 by dd1012.kasserver.com (Postfix) with ESMTPSA id 38E891CA0235
 for <bug-guix@HIDDEN>; Tue, 26 Jul 2016 18:05:08 +0200 (CEST)
Date: Tue, 26 Jul 2016 18:05:07 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: bug-guix@HIDDEN
Subject: gnupg [-agent]: when signing [commits], it claims that there is no
 pinentry - but there is
Message-ID: <20160726180507.21e5e8e0@HIDDEN>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

dannym@dayas ~/src/guix$ strace -f  git commit -S -m "x" gnu/packages/databases.scm 2>&1 |grep pinentry
[pid 32548] write(4, "OPTION allow-pinentry-notify", 28) = 28
[pid 32548] read(4, "ERR 67108949 No pinentry <GPG Ag"..., 1002) = 37
[pid 32548] write(2, "gpg: signing failed: No pinentry", 32gpg: signing failed: No pinentry) = 32
[pid 32548] write(2, "gpg: signing failed: No pinentry", 32gpg: signing failed: No pinentry) = 32

dannym@dayas ~$ which pinentry
/home/dannym/.guix-profile/bin/pinentry
dannym@dayas ~$ pinen<TAB>
pinentry         pinentry-curses  pinentry-gtk-2   pinentry-tty
dannym@dayas ~$ pinentry
OK Pleased to meet you





Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#24076; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.